/*************************************************************************************************************************************************/
/*!    hal.h
 *
 *     Device and board specific pins need to be configured here
 *
 */
/**************************************************************************************************************************************************
 *       Copyright  2015 Texas Instruments Incorporated - http://www.ti.com/                                                                      *
 ***************************************************************************************************************************************************
 *  Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: *
 *                                                                                                                                                 *
 *    Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.                 *
 *                                                                                                                                                 *
 *    Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the        *
 *    documentation and/or other materials provided with the distribution.                                                                         *
 *                                                                                                                                                 *
 *    Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived      *
 *    from this software without specific prior written permission.                                                                                *
 *                                                                                                                                                 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT          *
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT     *
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT         *
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY    *
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE      *
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.                                                                           *
 **************************************************************************************************************************************************/

#ifndef TIDA_00648_FIRMWARE_UA_HAL_H_
#define TIDA_00648_FIRMWARE_UA_HAL_H_


//Ports
#define  DAC_CS_PORTOUT              P2OUT
#define  DAC_CS_PORTDIR              P2DIR
#define  DAC_USCIB0_PORTOUT          P1OUT
#define  DAC_USCIB0_PORTDIR          P1DIR
#define  DAC_USCIB0_PORTSEL          P1SEL

// Port pins
#define USCIB0_SIMO                  BIT4       // P1.4 - SIMO
#define USCIB0_SOMI                  BIT5       // P1.5 - SOMI
#define USCIB0_CLK                   BIT3       // P2.3 - CLK
#define USCIA0_TX                    BIT1       // P1.1 - TX
#define USCIA0_RX                    BIT2       // P1.2 - RX
#define USER_INTERRUPT_N             BIT0       // P2.0
#define DAC_CS_N                     BIT7       // P2.7
#define DAC_ERROR_N                  BIT0       // P1.0
#define POWER_GOOD                   BIT7       // P1.7


#endif /* TIDA_00648_FIRMWARE_UA_HAL_H_ */
